
QGIS Application - Bug report #16350

Spatial Bookmark Panel: precision gets trimmed

2017-03-13 06:28 AM - Tobias Wendorff

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Map Tools

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24260

Description

I believe this is a bug, since it simply makes no sense.

When creating a bookmark, it gets stored at high precision. Whenever you touch it, f.e. click into xMin, the precision gets limited to two

digits. This might only be a GUI problem, since it's impossible to enter more than two digits at all.

Associated revisions

Revision 6c897b6b - 2017-12-01 12:07 PM - Alessandro Pasotti 

[bugfix] Bookmarks: fix a crash and show 6 digits

Fixes #17003 Spatial bookmarks keyboard navigation:

right-arrow causes a row to appear below the current

one and looks like a tree expansion (actually crashes

master)

Fixes #16350 Spatial Bookmark Panel: precision gets

trimmed

History

#1 - 2017-03-13 10:47 PM - Saber Razmjooei

- Category set to Map Tools

- Operating System deleted (Microsoft Windows 7, 64-bit)

- OS version deleted (6.1.7601)

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-12-01 11:50 AM - Alessandro Pasotti

- Description updated

- Assignee set to Alessandro Pasotti

#4 - 2017-12-01 12:14 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes
PR: https://github.com/qgis/QGIS/pulls

#5 - 2017-12-01 02:29 PM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|6c897b6b1e66450da6536a573d9a00f55dfdadaa.

#6 - 2017-12-01 07:02 PM - Giovanni Manghi

- Resolution set to fixed/implemented
